Support » Plugin: Livemesh Addons for Elementor » Slick slider deprecated in Elementor 3.1.0

  • Resolved dvazquez260376

    (@dvazquez260376)


    Last version of Elementor 3.1.0 shows a warning message when using livemesh sliders

    PHP Deprecated: jquery-slick is <strong>deprecated</strong> since version 2.7.0! Use Swiper instead.

    Are you considering migrating sliders to swiper?

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author livemesh

    (@livemesh)

    We will move to swiper within the next few days. Meanwhile, we will probably try to load our slick library instead to remove the error. We are using the slick library in quite a few of our widgets and hence migration and resulting testing can take some effort. Recently we did some research and found out that slick is still the most popular slider/carousel library and pretty solid though updates are hard to come by. Slick meets our needs well though swiper is perhaps the future with many new exciting features. Thanks for pointing this out.

    Plugin Author livemesh

    (@livemesh)

    Have updated the plugin with the fix. We will evaluate if Swiper meets our needs and move to the same in the coming days.

    Thread Starter dvazquez260376

    (@dvazquez260376)

    Hi @livemesh,

    Many thanks for the update and for taking into consideration the migration to swiper.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.